Delete Snapshot
curl --request DELETE \
--url https://api.voyager.so/v1/machines/snapshots/{snapshot} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/machines/snapshots/{snapshot}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/machines/snapshots/{snapshot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"deleted": true,
"deleted_at": "<string>"
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}Delete Snapshot
Delete a snapshot: it is never listed or restored again, and its stored files are deleted. Free. Refused
(409 snapshot_in_use) while a paused machine resumes from it: resume or release that machine first. Deleting a
deleted snapshot answers the same.
DELETE
/
machines
/
snapshots
/
{snapshot}
Delete Snapshot
curl --request DELETE \
--url https://api.voyager.so/v1/machines/snapshots/{snapshot} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.voyager.so/v1/machines/snapshots/{snapshot}"
headers = {"Authorization": "Bearer <token>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.voyager.so/v1/machines/snapshots/{snapshot}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"id": "<string>",
"deleted": true,
"deleted_at": "<string>"
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}{
"error": {
"type": "invalid_request",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"retryable": true,
"retry_after_ms": 123,
"param": "<string>",
"loc": [
"<string>"
],
"details": {}
}
}